<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\adminapi\logic\third;


use app\common\model\third\ThirdOrders;
use app\common\logic\BaseLogic;
use think\facade\Db;


/**
 * ThirdOrders逻辑
 * Class ThirdOrdersLogic
 * @package app\adminapi\logic\third
 */
class ThirdOrdersLogic extends BaseLogic
{


    /**
     * @notes 添加
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2025/03/06 16:57
     */
    public static function add(array $params): bool
    {
        Db::startTrans();
        try {
            ThirdOrders::create([
                'orderId' => $params['orderId'],
                'productId' => $params['productId'],
                'productName' => $params['productName'],
                'third_type' => $params['third_type'],
                'request_msg' => $params['request_msg'],
            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 编辑
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2025/03/06 16:57
     */
    public static function edit(array $params): bool
    {
        Db::startTrans();
        try {
            ThirdOrders::where('id', $params['id'])->update([
                'orderId' => $params['orderId'],
                'productId' => $params['productId'],
                'productName' => $params['productName'],
                'third_type' => $params['third_type'],
                'request_msg' => $params['request_msg'],
            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 删除
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2025/03/06 16:57
     */
    public static function delete(array $params): bool
    {
        return ThirdOrders::destroy($params['id']);
    }


    /**
     * @notes 获取详情
     * @param $params
     * @return array
     * @author likeadmin
     * @date 2025/03/06 16:57
     */
    public static function detail($params): array
    {
        return ThirdOrders::findOrEmpty($params['id'])->toArray();
    }
}